//*********************************************************
// Copyright 2009-2014 Intel Corporation All Rights Reserved.
// 
// The source code, information and material ("Material") contained herein is owned by Intel
// Corporation or its suppliers or licensors, and title to such Material remains with Intel 
// Corporation or its suppliers or licensors. The Material contains proprietary information 
// of Intel or its suppliers and licensors. The Material is protected by worldwide copyright 
// laws and treaty provisions. No part of the Material may be used, copied, reproduced, 
// modified, published, uploaded, posted, transmitted, distributed or disclosed in any way 
// without Intel's prior express written permission. No license under any patent, copyright 
// or other intellectual property rights in the Material is granted to or conferred upon 
// you, either expressly, by implication, inducement, estoppel or otherwise. Any license 
// under such intellectual property rights must be express and approved by Intel in writing.
// 
// Unless otherwise agreed by Intel in writing, you may not remove or alter this notice or 
// any other notice embedded in Materials by Intel or Intels suppliers or licensors in any 
// way.
//
// utils.h
// Definition of a few utility functions
//	SaveImageAsBMP function is from  Intel(R) SDK for OpenCL* Applications ToneMapping sample code
//
//*********************************************************

#pragma once


#include "CL\cl.h"




bool	SaveImageAsBMP ( unsigned int* ptr, int width, int height, const char* fileName);
bool	LoadImageAsBMP ( const char* fileName, unsigned int* *ptr, size_t *width, size_t *height, size_t	*pMemSize );

bool	ConvertFP4Bitmap2UCHAR4( float * inBuf, unsigned int * * ppOutBuf, size_t width, size_t height );
bool	ConvertUCHAR4Bitmap2FP4( unsigned int  * inBuf, float * * ppOutBuf, size_t width, size_t height, size_t *pMemSize );

